Core - Task # 55749

Epic # 47018 (Resolved): Implement Composer support and clean package manager API

Status: Resolved Priority: Should have
Author: Michiel Roos Category: Code Cleanup
Created: 2014-02-06 Assigned To: Michiel Roos
Updated: 2014-02-20 Due date:

TYPOS3 Version: 6.2

PHP Version: 53

Complexity: no-brainer

Sprint Focus:

Subject: isPackageActive() should check runtimeActivatedPackages first

Description

\TYPO3\CMS\Core\Package\PackageManager::isPackageActive() does a:

return parent::isPackageActive($packageKey) || isset($this->runtimeActivatedPackages[$packageKey]);

Where it should do a test on the more lightweight isset() first:

return isset($this->runtimeActivatedPackages[$packageKey]) || parent:iisPackageActive($packageKey);

Associated revisions

Revision 5ab2885b - 2014-02-14 16:31 - Michiel Roos

[TASK] isPackageActive(): test light cond. first

The return should test for:
- isset($this->runtimeActivatedPackages[$packageKey]);
before it tests for:

- parent:iisPackageActive($packageKey)

Change-Id: 1a18fb601a83e717c9bbf498eaal38c4caec04ceact
Resolves: #55749

Releases: 6.2

Reviewed-on: https://review.typo3.org/27391

Reviewed-by: Oliver Klee
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History

#1 - 2014-02-06 23:59 - Gerrit Code Review
- Status changed from New to Under Review

2015-08-04
https://review.typo3.org/27391

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27391

#2 - 2014-02-12 09:53 - Ernesto Baschny
- Parent task set to #47018

#3 - 2014-02-14 17:30 - Michiel Roos
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5ab2885b2dc8ebeb38422bd22f50c8f1006c5319.

#4 - 2014-02-20 16:27 - Thomas Maroschik
- Assigned To set to Michiel Roos
